/*
 * Copyright (C) 2008
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.sca4idea.facet;

import com.googlecode.sca4idea.providers.SCAProvider;

/**
 * Wrapper for an SCAProvider for use in UI lists. 
 */
class SCAProviderListItem {
    private final SCAProvider provider;

    SCAProviderListItem(SCAProvider provider) {
        this.provider = provider;
    }

    public SCAProvider getProvider() {
        return provider;
    }

    @Override
    public String toString() {
        return provider.getDisplayName();
    }
}
