/*
 * Copyright (C) 2008
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.sca4idea.providers;

/**
 * Provider for a given SCA implementation (eg Java class or Web Component or WSDL)
 */
public interface SCAImplementationProvider {
    /**
     * Retrieves the unique identifier of the implementation provider.
     * @return the identifier.
     */
    String getId();

    /**
     * Retrieves the name of the implementation provider.
     * @return the name.
     */
    String getDisplayName();
}
