/*
 * Copyright (C) 2008
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.sca4idea.references;

import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiReference;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

/**
 * ReferenceProvider for resolving target values.
 *
 * @author paul.jones
 */
public class MultiJavaClassReferenceProvider extends AbstractReferenceProvider {
    @NotNull
    public PsiReference[] getReferencesByString(String s, PsiElement psiElement, int i) {
        List<PsiReference> result = new ArrayList<PsiReference>();
        /*for (TextRange range : SCAReferencesUtil.splitRanges(s)) {
            result.addRange()

            result.add(
              new XmlAttributeValuePsiReference((XmlAttributeValue)psiElement, range) {

                    public boolean isSoft() {
                        return MultiJavaClassReferenceProvider.this.isSoft();
                    }

                    public Object[] getVariants() {
                        return getElement().getManager().getResolveHelper().

                        PsiFile psiFile = getElement().getContainingFile();
                        List<Object> result = new ArrayList<Object>();
                        for (SCAComponentTagPsiElement el : ComponentResolver.getComponents((XmlFile)psiFile).values()) {
                            result.addAll(Arrays.asList(el.getVariantsOfReferences(true)));
                        }
                        return result.toArray();
                    }

                    public PsiElement resolve() {
                        return getElement().getManager().getResolveHelper().resolveReferencedClass(getCanonicalText(),
                                getElement());
                    }
              });
        }*/

        return result.toArray(new PsiReference[result.size()]);
    }

}