/*
 * Copyright (C) 2008
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.sca4idea.util;

import com.intellij.psi.PsiField;
import com.intellij.psi.PsiAnnotation;
import com.intellij.psi.PsiModifierList;

/**
 * Utility class for working with SCA annotations.
 */
public class SCAAnnotationUtil {
    public static final String REFERENCE_ANNOTATION_CLASS = "org.osoa.sca.annotations.Reference";
    public static final String PROPERTY_ANNOTATION_CLASS = "org.osoa.sca.annotations.Property";

    public static PsiAnnotation getAnnotation(PsiField field, String annotation) {
        PsiModifierList modifiers = field.getModifierList();
        if (modifiers == null) return null;

        return modifiers.findAnnotation(annotation);
    }
}
